<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/10/2008 *
 * ===================                          Last change: 10/10/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-yoomedia.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Setup default statistics mode                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Standart Modus der Statistiken einstellen        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (!isExtensionActive('yoomedia')) {
	loadTemplate('admin_settings_saved', false, generateExtensionInactiveNotInstalledMessage('yoomedia'));
	return;
} // END - if

// Was the form submitted?
if (isFormSent()) {
	// Test Yoo!Media config
	if (YOOMEDIA_TEST_CONFIG(postRequestArray())) {
		// Save settings
		adminSaveSettingsFromPostData();
	} else {
		// Config not saved
		loadTemplate('admin_settings_saved', false, '{--ADMIN_CONFIG_YOOMEDIA_TEST_FAILED--}');
	}
} else {
	// Erotic selection
	for ($idx = '0'; $idx <= 2; $idx++) {
		$content['yoomedia_erotic_allowed_' . $idx] = '';
	} // END - for

	// Set default selection
	foreach (array('yoomedia_erotic_allowed') as $entry) {
		$content[$entry . '_' . strtolower(getConfig($entry))] = ' selected="selected"';
	} // END - foreach

	// Load template
	loadTemplate('admin_config_yoomedia', false, $content);
}

// [EOF]
?>
