<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/11/2009 *
 * ===================                          Last change: 11/11/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_network_types.php                      *
 * -------------------------------------------------------------------- *
 * Short description : List/manage network advertising types            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Verwaltet Werbearten                             *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// These are expert settings!
if (doVerifyExpertSettings() != 'agreed') {
	// Abort here
	return;
} // END - if

// By default we should display list/add new forms
$GLOBALS['network_display'] = true;

// Handle form here
doNetworkHandleForm();

// Display forms?
if ($GLOBALS['network_display'] === false) {
	// Abort here
	return;
} // END - if

// Do we have a network selected?
if (isGetRequestParameterSet('network')) {
	// Get its data for template
	$networkData = getNetworkDataById(getRequestParameter('network'));

	// Init disabled list
	$GLOBALS['network_types_disabled'] = array();

	// Load all advert types for given network
	$result = SQL_QUERY_ESC("SELECT
	`network_type_id`, `network_type_handle`, `network_type_api_url`, `network_type_click_url`, `network_type_banner_url`
FROM
	`{?_MYSQL_PREFIX?}_network_types`
WHERE
	`network_id`=%s
ORDER BY
	`network_type_handle` ASC",
		array(getRequestParameter('network')), __FILE__, __LINE__);

	// Do we have entries?
	if (!SQL_HASZERONUMS($result)) {
		// List all entries
		$OUT = '';
		while ($row = SQL_FETCHARRAY($result)) {
			// Add/translate some data
			$row['network_type_banner_url'] = fixNullEmptyToDashes($row['network_type_banner_url'], 3);

			// Set disabled entry
			$GLOBALS['network_types_disabled'][$row['network_type_handle']] = true;

			// Add row template and switch color
			$OUT .= loadTemplate('admin_list_network_types_row', true, $row);
		} // END - while

		// Load main template
		loadTemplate('admin_list_network_types', false, $OUT);
	} else {
		// No entries found
		loadTemplate('admin_settings_saved', false, getMaskedMessage('ADMIN_NETWORK_TYPES_404', $networkData['network_title']));
	}

	// Free result
	SQL_FREERESULT($result);

	// Add form for adding new types
	loadTemplate('admin_add_network_type', false, $networkData);
} else {
	// Generate network list for this script
	outputHtml(generateAdminNetworkList());
}

// [EOF]
?>
